### A free/open-source library for quantitative finance

Public Member Functions
yoyInflationLeg Class Reference

`#include <ql/cashflows/yoyinflationcoupon.hpp>`

List of all members.

## Public Member Functions

| yoyInflationLeg (const Schedule &schedule, const Calendar &cal, const boost::shared_ptr< YoYInflationIndex > &index, const Period &observationLag)
yoyInflationLeg & | withNotionals (Real notional)
yoyInflationLeg & | withNotionals (const std::vector< Real > &notionals)
yoyInflationLeg & | withPaymentDayCounter (const DayCounter &)
yoyInflationLeg & | withPaymentAdjustment (BusinessDayConvention)
yoyInflationLeg & | withFixingDays (Natural fixingDays)
yoyInflationLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
yoyInflationLeg & | withGearings (Real gearing)
yoyInflationLeg & | withGearings (const std::vector< Real > &gearings)
yoyInflationLeg & | withSpreads (Spread spread)
yoyInflationLeg & | withSpreads (const std::vector< Spread > &spreads)
yoyInflationLeg & | withCaps (Rate cap)
yoyInflationLeg & | withCaps (const std::vector< Rate > &caps)
yoyInflationLeg & | withFloors (Rate floor)
yoyInflationLeg & | withFloors (const std::vector< Rate > &floors)
| operator Leg () const

## Detailed Description

Helper class building a sequence of capped/floored yoy inflation coupons payoff is: spread + gearing x index